package f1.entity;

import java.sql.Date;

public class Team {
    private int id;
    private String name;
    private String country;
    private String engineSupplier;
    private Date setupTime;

    public Team(int id, String name, String country, String engineSupplier, Date setupTime) {
        this.id = id;
        this.name = name;
        this.country = country;
        this.engineSupplier = engineSupplier;
        this.setupTime = setupTime;
    }

    public int getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getCountry() {
        return country;
    }

    public String getEngineSupplier() {
        return engineSupplier;
    }

    public Date getSetupTime() {
        return setupTime;
    }

    public void setId(int id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public void setEngineSupplier(String engineSupplier) {
        this.engineSupplier = engineSupplier;
    }

    public void setSetupTime(Date setupTime) {
        this.setupTime = setupTime;
    }
}